## org.h2.test.jdbc
Class TestDatabaseEventListener.Init

    java.lang.Object
      org.h2.test.jdbc.TestDatabaseEventListener.Init

All Implemented Interfaces:
  java.util.EventListener, DatabaseEventListener

Enclosing class:
  TestDatabaseEventListener

    public static class TestDatabaseEventListener.Init

extends java.lang.Object
implements DatabaseEventListener

Initialize the database after opening.

Field Summary

Fields inherited from interface org.h2.api.DatabaseEventListener
`STATE_BACKUP_FILE, STATE_CREATE_INDEX, STATE_RECONNECTED, STATE_RECOVER, STATE_SCAN_FILE`

Constructor Summary
`TestDatabaseEventListener.Init()`

Method Summary
`void` `closingDatabase()` This method is called before the database is closed normally.
`void` `exceptionThrown(java.sql.SQLException e, java.lang.String sql)` This method is called if an exception occurred.
`void` `init(java.lang.String url)` This method is called just after creating the object.
`void` `opened()` This method is called after the database has been opened.
`void` `setProgress(int state, java.lang.String name, int x, int max)` This method is called for long running events, such as recovering, scanning a file or building an index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestDatabaseEventListener.Init

    public TestDatabaseEventListener.Init()

Method Detail

### init

    public void init(java.lang.String url)

  Description copied from interface: `DatabaseEventListener`
  This method is called just after creating the object. This is done when opening the database if the listener is specified in the database URL, but may be later if the listener is set at runtime with the SET SQL statement.

  Specified by:
    `init` in interface `DatabaseEventListener`
  Parameters:
    `url` - - the database URL

### opened

    public void opened()

  Description copied from interface: `DatabaseEventListener`
  This method is called after the database has been opened. It is save to connect to the database and execute statements at this point.

  Specified by:
    `opened` in interface `DatabaseEventListener`

### closingDatabase

    public void closingDatabase()

  Description copied from interface: `DatabaseEventListener`
  This method is called before the database is closed normally. It is save to connect to the database and execute statements at this point, however the connection must be closed before the method returns.

  Specified by:
    `closingDatabase` in interface `DatabaseEventListener`

### exceptionThrown

    public void exceptionThrown(java.sql.SQLException e,
                                java.lang.String sql)

  Description copied from interface: `DatabaseEventListener`
  This method is called if an exception occurred.

  Specified by:
    `exceptionThrown` in interface `DatabaseEventListener`
  Parameters:
    `e` - the exception
    `sql` - the SQL statement

### setProgress

    public void setProgress(int state,
                            java.lang.String name,
                            int x,
                            int max)

  Description copied from interface: `DatabaseEventListener`
  This method is called for long running events, such as recovering, scanning a file or building an index.

  More states might be added in future versions, therefore implementations should silently ignore states that they don't understand.

  Specified by:
    `setProgress` in interface `DatabaseEventListener`
  Parameters:
    `state` - the state
    `name` - the object name
    `x` - the current position
    `max` - the highest value